VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::vcenter::ClusterTypes::Summary Class Reference

The `Cluster.Summary` class contains commonly used information about a cluster in vCenter Server. More...

List of all members.

## Public Member Functions
| Summary ()
| Creates a default new instance.
string | GetCluster ()
| Identifier of the cluster.
void | SetCluster (string cluster)
| Identifier of the cluster.
string | GetName ()
| Name of the cluster.
void | SetName (string name)
| Name of the cluster.
bool | GetHaEnabled ()
| Flag indicating whether the vSphere HA feature is enabled for the cluster.
void | SetHaEnabled (bool haEnabled)
| Flag indicating whether the vSphere HA feature is enabled for the cluster.
bool | GetDrsEnabled ()
| Flag indicating whether the vSphere DRS service is enabled for the cluster.
void | SetDrsEnabled (bool drsEnabled)
| Flag indicating whether the vSphere DRS service is enabled for the cluster.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

The `Cluster.Summary` class contains commonly used information about a cluster in vCenter Server.

## Constructor & Destructor Documentation

vmware::vcenter::ClusterTypes::Summary::Summary | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::vcenter::ClusterTypes::Summary::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::vcenter::ClusterTypes::Summary::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::vcenter::ClusterTypes::Summary::_GetType | ( |  | ) | `[inline]`

bool vmware::vcenter::ClusterTypes::Summary::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::vcenter::ClusterTypes::Summary::_Validate | ( |  | ) | `[inline]`

override bool vmware::vcenter::ClusterTypes::Summary::Equals | ( | object | obj | ) | `[inline]`

string vmware::vcenter::ClusterTypes::Summary::GetCluster | ( |  | ) | `[inline]`

Identifier of the cluster.

When clients pass a value of this class as a parameter, the field must be an identifier for the resource type: `ClusterComputeResource` . When methods return a value of this class as a result, the field will be an identifier for the resource type: `ClusterComputeResource` .

bool vmware::vcenter::ClusterTypes::Summary::GetDrsEnabled | ( |  | ) | `[inline]`

Flag indicating whether the vSphere DRS service is enabled for the cluster.

bool vmware::vcenter::ClusterTypes::Summary::GetHaEnabled | ( |  | ) | `[inline]`

Flag indicating whether the vSphere HA feature is enabled for the cluster.

override int vmware::vcenter::ClusterTypes::Summary::GetHashCode | ( |  | ) | `[inline]`

string vmware::vcenter::ClusterTypes::Summary::GetName | ( |  | ) | `[inline]`

Name of the cluster.

void vmware::vcenter::ClusterTypes::Summary::SetCluster | ( | string | cluster | ) | `[inline]`

Identifier of the cluster.

When clients pass a value of this class as a parameter, the field must be an identifier for the resource type: `ClusterComputeResource` . When methods return a value of this class as a result, the field will be an identifier for the resource type: `ClusterComputeResource` .

void vmware::vcenter::ClusterTypes::Summary::SetDrsEnabled | ( | bool | drsEnabled | ) | `[inline]`

Flag indicating whether the vSphere DRS service is enabled for the cluster.

void vmware::vcenter::ClusterTypes::Summary::SetHaEnabled | ( | bool | haEnabled | ) | `[inline]`

Flag indicating whether the vSphere HA feature is enabled for the cluster.

void vmware::vcenter::ClusterTypes::Summary::SetName | ( | string | name | ) | `[inline]`

Name of the cluster.

override string vmware::vcenter::ClusterTypes::Summary::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- ClusterTypes.cs